export function generateActionConfig(i18n, selectionConfig) {
  var _a;
  const actions = [
    {
      ui: {
        label: i18n.seeDetails || 'See Details',
        name: 'view-details',
        view: 'flat',
        tint: 'neutral',
      }
    }
  ];
  if ((_a = selectionConfig === null || selectionConfig === void 0 ? void 0 : selectionConfig.selectionUI) === null || _a === void 0 ? void 0 : _a.showMessageButton) {
    actions.push({
      ui: {
        label: i18n.sendMessage || 'Message',
        name: 'send-message',
        view: 'flat',
        tint: 'neutral',
      }
    });
  }
  actions.push({
    data: {
      type: 'navigation',
      direction: 'forward',
      params: {
        conversionConfig: {
          'item._id': 'userId',
        }
      }
    },
    ui: {
      label: i18n.select || 'Select',
      name: 'select-pair',
      view: 'ghost',
    }
  });
  return actions;
}
